Package com.xebialabs.xlrelease.domain.utils

# Class DeliveryUtils$

java.lang.Object
com.xebialabs.xlrelease.domain.utils.DeliveryUtils$

public class DeliveryUtils$ extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final DeliveryUtils$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeliveryUtils$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `deliveryIdFrom(String id)`
  `scala.collection.immutable.Seq<TrackedItem>`
  `getItemsCompletedInAllStages(scala.collection.immutable.Seq<TrackedItem> items, scala.collection.immutable.Seq<Stage> stages)`
  `scala.collection.immutable.Seq<TrackedItem>`
  `getItemsWithStatusInAllStages(scala.collection.immutable.Seq<TrackedItem> items, scala.collection.immutable.Seq<Stage> stages, scala.collection.immutable.Seq<TrackedItemStatus> statuses)`
  `boolean`
  `hasAnyStatusInStage(Stage stage, TrackedItem item, scala.collection.immutable.Seq<TrackedItemStatus> statuses)`
  `boolean`
  `isConditionGroup(Condition condition)`
  `String`
  `transitionIdFrom(String id)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final DeliveryUtils$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### DeliveryUtils$

    public DeliveryUtils$()

- ## Method Details

  - ### deliveryIdFrom

    public String deliveryIdFrom(String id)

  - ### transitionIdFrom

    public String transitionIdFrom(String id)

  - ### getItemsCompletedInAllStages

    public scala.collection.immutable.Seq<TrackedItem> getItemsCompletedInAllStages(scala.collection.immutable.Seq<TrackedItem> items, scala.collection.immutable.Seq<Stage> stages)

  - ### getItemsWithStatusInAllStages

    public scala.collection.immutable.Seq<TrackedItem> getItemsWithStatusInAllStages(scala.collection.immutable.Seq<TrackedItem> items, scala.collection.immutable.Seq<Stage> stages, scala.collection.immutable.Seq<TrackedItemStatus> statuses)

  - ### hasAnyStatusInStage

    public boolean hasAnyStatusInStage(Stage stage, TrackedItem item, scala.collection.immutable.Seq<TrackedItemStatus> statuses)

  - ### isConditionGroup

    public boolean isConditionGroup(Condition condition)